Package: groovy.json

## [Java] Class JsonToken

- groovy.json.JsonToken

- A JSON token, with a type, line / column information, and the text of that token.

  Authors:
    Guillaume Laforge
  Since:
    1.8.0

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `long` | `getEndColumn()`
    `long` | `getEndLine()`
    `long` | `getStartColumn()`
    `long` | `getStartLine()`
    `String` | `getText()`
    `JsonTokenType` | `getType()`
    `Object` | `getValue()` Return the value represented by this token (ie. a number, a string, a boolean or null).
    `void` | `setEndColumn(long endColumn)`
    `void` | `setEndLine(long endLine)`
    `void` | `setStartColumn(long startColumn)`
    `void` | `setStartLine(long startLine)`
    `void` | `setText(String text)`
    `void` | `setType(JsonTokenType type)`
    `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public long getEndColumn()

    - #### public long getEndLine()

    - #### public long getStartColumn()

    - #### public long getStartLine()

    - #### public String getText()

    - #### public JsonTokenType getType()

    - #### public Object getValue()

      Return the value represented by this token (ie. a number, a string, a boolean or null). For numbers, the most appropriate type is returned (Float, Double, BigDecimal for decimal numbers, and Integer, Long and BigInteger for integral numbers).

      Returns:
        the represented value

    - #### public void setEndColumn(long endColumn)

    - #### public void setEndLine(long endLine)

    - #### public void setStartColumn(long startColumn)

    - #### public void setStartLine(long startLine)

    - #### public void setText(String text)

    - #### public void setType(JsonTokenType type)

    - #### public String toString()